﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;

namespace AspNetCoreSample1.Controllers
{
    public class HomeController : Controller
    {
        public IActionResult Index()
        {
            DataTable dataSource = CreateSampleData();
            return View(dataSource);
        }

        private DataTable CreateSampleData()
        {
            DataTable dt = new DataTable();

            // Columns
            dt.Columns.Add("资源代号", typeof(String));
            dt.Columns.Add("资源名称", typeof(String));
            dt.Columns.Add("资源类别", typeof(String));
            dt.Columns.Add("资源备用代号", typeof(String));
            dt.Columns.Add("资源颜色", typeof(String));

            // Rows
            dt.Rows.Add(new object[] { "Beijing", "北京号", "车辆", "", "#FFFFFFFF" });
            dt.Rows.Add(new object[] { "Liaoning", "辽宁号", "车辆", "", "#FFFFFFFF" });
            dt.Rows.Add(new object[] { "Shandong", "山东号", "车辆", "", "#FFFFFFFF" });
            dt.Rows.Add(new object[] { "TT0001", "测试0001", "车辆", "", "#FFFFFFFF" });
            dt.Rows.Add(new object[] { "CG1", "充电桩1", "充电桩", "", "#FF9BBB59" });
            dt.Rows.Add(new object[] { "CG2", "充电桩2", "充电桩", "", "#FF9BBB59" });

            return dt;
        }
    }
}